Loading...
Searching...
No Matches
mzcborspectrumcollectionreader.h File Reference

read mzcbor for spectrum collection handler More...

`#include "pappsomspp/core/processing/cbor/mzcbor/mzcborreaderbase.h"`
`#include "pappsomspp/core/msrun/spectrumcollectionhandlerinterface.h"`
`#include "pappsomspp/core/msrun/msrunreadconfig.h"`
`#include "pappsomspp/core/msrun/msrunid.h"`

Go to the source code of this file.

## Classes

class | pappso::cbor::mzcbor::MzcborSpectrumCollectionReader

## Namespaces

namespace | pappso
| tries to keep as much as possible monoisotopes, removing any possible C13 peaks and changes multicharge peaks to monocharge
namespace | pappso::cbor
namespace | pappso::cbor::mzcbor

## Detailed Description

read mzcbor for spectrum collection handler

Date
  22/11/2025

Author
  Olivier Langella

Definition in file mzcborspectrumcollectionreader.h.